<?php

namespace app\api\controller;

use app\common\controller\Api;

/**
 * 首页接口
 */
class Index extends Api
{
    protected $noNeedLogin = ['*'];
    protected $noNeedRight = ['*'];

    /**
     * 首页
     *
     */
    public function index()
    {
        $this->success('请求成功');
    }

    /**
     * @description: 炎黄儿女升级接口
     * @param {type}
     * @return:
     */
    public function upgrade()
    {
        $data = [];
        $data['name'] = "炎黄儿女";
        $data['ipa_version'] = "";
        $data['apk_version'] = "1.3.8";
        $data['ipa_address'] = "";
        $data['apk_address'] = "https://zp.xicheda.com/applet/app/1.3.8.apk";
        $data['offer_closed'] = 1;//0开启，1关闭
        $this->success('请求成功',$data);
    }
}
